Alle Optionen
stretch  ] [  buster  ] [  bullseye  ] [  bookworm  ] [  sid  ]
[ Quellcode: abi-compliance-checker  ]

Paket: abi-compliance-checker (1.99.22-1)

Links für abi-compliance-checker

Screenshot

Debian-Ressourcen:

Quellcode-Paket abi-compliance-checker herunterladen:

Betreuer:

Externe Ressourcen:

Ähnliche Pakete:

Werkzeug zum Vergleich der ABI-Kompatibilität von C/C++-Laufzeitbibliotheken

abi-compliance-checker kann die Wahrscheinlichkeit verringern, dass eine Anwendung abstürzt, wenn sich die dazu verlinkten Laufzeitbibliotheken geändert haben. Signaturen und Definitionen von Datentypen zweier Bibliotheksversionen werden verglichen, indem die Dateien mit den Laufzeitobjekten (.so) selbst untersucht werden. Darüber hinaus werden die Header-Dateien (.h) der zwei Bibliotheksversionen und deren Abhängigkeiten analysiert.

Dieses Werkzeug kann Entwicklern von Laufzeitbibliotheken helfen, die über Veröffentlichungen hinweg eine Binärkompatibilität anstreben. Sie können damit überprüfen, ob versehentlich die Binärschnittstelle (ABI) geändert wurde.

Mit abi-compliance-checker kann auch die Binärkompatibilität zwischen verschiedenen Linux-Distributionen beurteilt werden.

Markierungen: Software-Entwicklung: Testen und QS, Implementiert in: Perl, Rolle: Programm, Zweck: Überprüfen

Andere Pakete mit Bezug zu abi-compliance-checker

  • hängt ab von
  • empfiehlt
  • schlägt vor
  • erweitert

abi-compliance-checker herunterladen

Download für alle verfügbaren Architekturen
Architektur Paketgröße Größe (installiert) Dateien
all 184,6 kB1.309,0 kB [Liste der Dateien]